@font-face {
  font-family: titlefont;
  src: url(fonts/Mario-Kart-DS.ttf);
}

@font-face {
  font-family: generalfont;
  src: url(fonts/pixel_arial_11/PIXEARG_.TTF);

}

@font-face {
  font-family: paragraphfont;
  src: url(fonts/redalert.ttf);

}

body {
  background-image: url("images/smallstellar.png");
  background-repeat: repeat;
}

.main-div {
  width: 1250px;
  margin: auto; /* puts this box itself in the center */
  background-color: rgb(16, 2, 31, 0.5);
  display: flex;
  flex-direction: column;
  align-items: center;

  border-width: 6px;
  border-radius: 12px;

  padding-bottom: 6px;
}

.page-title {
  width: 90%;
  /* height: 110px; */
  /* background-image: url("images/cwcbanner.png"); */
  margin: 10px;
  padding: 6px;

  border-style: double;
  border-width: 6px;
  border-color: rgb(255, 246, 196);
  border-radius: 6px;

  color: rgb(255, 246, 196);
  text-align: center;
  vertical-align: bottom;
  font-size: 88px;
  text-shadow: 0px 0px 20px rgb(41, 7, 54);
  font-family: titlefont;
  /* text-shadow: 4px 4px 5px rgb(75, 40, 83); */
}

.title-subtext {
  background-color: rgb(255, 246, 196);
  border-radius: 12px;
  padding-top: 2px;
  padding-bottom: 2px;
  padding-left: 12px;
  padding-right: 12px;
  margin-bottom: 4px;

  font-family: titlefont;
  font-size: 20px;
}

.main-content {
  font-family: generalfont;
  width: 95%;
  height: 600px;
  background-color: rgb(255, 246, 196);

  border-color: black;
  border-style: double;
  border-width: 6px;
  border-radius: 12px;

  display: flex;
  flex-direction: row;

    background-image: url(images/sandtile.png);
}

/* everything directly inside main content */
.main-content > div {

  margin: 10px;
}

.nav {
  width: 228px;
  text-align: center;
  color:blanchedalmond;


  /* background-color: rgb(36, 2, 80); */
  background-image: url(images/navtile2.png);

  border-radius: 6px;

  overflow: hidden;
}

.nav > ul{
    padding-left: 0;
}

.nav > ul > li{

    list-style-type: none;
    text-align: left;

    transition: padding-left 0.2s linear, background-color 0.2s linear, color 0.2s linear;



    color: blanchedalmond;
    background-color: rgb(77, 17, 17, 0.7);
    width: 100%;

    display: flex;
    flex-direction: row;
    
    align-items: center;

    border-style: double;

    border-left: 0px;

    margin-bottom: 12px;

    /* what if i made it so the cursor is either
    a click or a "not allowed" based on if that site works
    or not? idk */
    cursor: pointer;

}


.nav > ul > li > p{

  margin: 6px;
  padding-left: 12px;

}

.nav > ul > li > img{
  width: 24px;
  height: 24px;
}




.nav > ul > li:hover{
    padding-left: 40px;
    color:black;
    background-color: lightblue;

}

.buttons {
  width: 188px;
  height: 562px;
  text-align: center;
   border-style: double;
  border-radius: 6px;

  padding: 6px;
  
  background-color: blanchedalmond;
}

.buttons > img {
  width: 98%;

  border-radius: 6px;
}


.main-body {

  width: 700px;

  display: flex;
  flex-direction: column;


}

.welcome {
  width: 96%;
  height: 200px;

  margin-bottom: 10px;

  padding: 10px;

  border-style: double;
  border-radius: 6px;
  
  background-color: blanchedalmond;

  font-family: 'Courier New', Courier, monospace;

}

.welcome > img {
      float: right;
}

.recent {
  width: 96%;
  height: 350px;
  background-color: blanchedalmond;
    padding: 10px;

  border-style: double;
  border-radius: 6px;

    font-family: 'Courier New', Courier, monospace;
}


